Subject: Re: bug#27453: 25.1; vc/log-view.el log-view-message-re doesn't support newer Darcs log format

From: Rohan Hart <[email-masked]>
Date: Wed, 24 Jul 2019 08:57:09 +1200

vc-darcs is the emacs package for darcs integration with vc.

If you wished to support very old versions of darcs then keep that complex
match and put the new one before it. Not that I've tested that config - I
just override the entire log-view-message-re as I don't use any of those
other version control systems

thanks

On Tue, 23 Jul 2019 at 23:32, Lars Ingebrigtsen <[email-masked]> wrote:

> Rohan Hart <[email-masked]> writes:
>
> > Well sure, I only raised this as log-view states:
> >
> > ;; Currently supports the format output by:
> > ;; SCCS, RCS, CVS, Subversion, DaRCS, and Mercurial.
> >
> > And later mentions code related to both darcsum and vc-darcs.
>
> Then perhaps it does make sense to add the regexp to log-view-message-re
> after all.  The current definition is:
>
> (defvar log-view-message-re
>   (concat "^\\(?:revision \\(?1:[.0-9]+\\)\\(?:\t.*\\)?" ; RCS and CVS.
>           "\\|r\\(?1:[0-9]+\\) | .* | .*"                ; Subversion.
>           "\\|D \\(?1:[.0-9]+\\) .*"                     ; SCCS.
>           ;; Darcs doesn't have revision names.  VC-darcs uses patch names
>           ;; instead.  Darcs patch names are hashcodes, which do not appear
>           ;; in the log output :-(, but darcs accepts any prefix of the log
>           ;; message as a patch name, so we match the first line of the log
>           ;; message.
>           ;; First loosely match the date format.
>           (concat "\\|[^ \n].*[^0-9\n][0-9][0-9]:[0-9][0-9][^0-9\n].*[^
> \n]"
>                   ;;Email of user and finally Msg, used as revision name.
>                   "  .*@.*\n\\(?:  \\* \\(?1:.*\\)\\)?")
>           "\\)$")
>
> Is VC-darcs something else than darcs?  Or is that an Emacs package?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

-- 

*Rohan Hart*
Technical Lead Developer
Fronde

Level 1, 222 Lambton Quay | PO Box 11-545 | Wellington 6011, New Zealand
m. +64 21 937 533  | e. [email-masked] | w. www.fronde.com

-- 
The information contained in this email is privileged and confidential and 
intended for the addressee only. If you are not the intended recipient, 
please respect that confidentiality and do not disclose, copy or make use 
of its contents. If received in error, please destroy this email and 
contact the sender immediately. Thank you.